{pkgs, ...}: {
  services.gnome-keyring = {
    enable = true;
    components = ["secrets" "ssh"];
  };
  programs.zathura = {
    enable = true;
    extraConfig = ''
      set notification-error-bg       "#2E3440"
      set notification-error-fg       "#BF616A"
      set notification-warning-bg     "#2E3440"
      set notification-warning-fg     "#D08770"
      set notification-bg             "#2E3440"
      set notification-fg             "#D8DEE9"

      set completion-bg               "#2E3440"
      set completion-fg               "#D8DEE9"
      set completion-group-bg         "#3B4252"
      set completion-group-fg         "#D8DEE9"
      set completion-highlight-bg     "#88C0D0"
      set completion-highlight-fg     "#3B4252"

      set index-bg                    "#2E3440"
      set index-fg                    "#8FBCBB"
      set index-active-bg             "#8FBCBB"
      set index-active-fg             "#2E3440"

      set inputbar-bg                 "#2E3440"
      set inputbar-fg                 "#E5E9F0"

      set statusbar-bg                "#2E3440"
      set statusbar-fg                "#E5E9F0"

      set highlight-color             "#D08770"
      set highlight-active-color      "#BF616A"

      set default-bg                  "#2E3440"
      set default-fg                  "#D8DEE9"
      set render-loading              "true"
      set render-loading-bg           "#2E3440"
      set render-loading-fg           "#434C5E"

      set recolor-lightcolor          "#2E3440"
      set recolor-darkcolor           "#ECEFF4"
      set recolor                     "true"
      set font                        "0xProto"
      set guioptions                  none
    '';
  };
  programs.obs-studio = {
    enable = true;
    plugins = with pkgs.obs-studio-plugins; [
      wlrobs
    ];
  };
}
